Mail archive
alpine-user

Re: [alpine-user] apk(1) error does not go away

From: Steffen Nurpmeso <steffen_at_sdaoden.eu>
Date: Mon, 12 Feb 2018 17:32:09 +0100

Juhu on a Monday!

William Pitcock <nenolod_at_dereferenced.org> wrote:
 |On Sat, Feb 10, 2018 at 6:33 PM, Steffen Nurpmeso <steffen_at_sdaoden.eu> \
 |wrote:
 |> William Pitcock <nenolod_at_dereferenced.org> wrote:
 |>|On Sat, Feb 10, 2018 at 2:59 PM, Steffen Nurpmeso <steffen_at_sdaoden.eu> \
 |>|wrote:
 |>|> Cág <ca6c_at_bitmessage.ch> wrote:
 |>|>|Steffen Nurpmeso wrote:
 ...
 |>|The issue is that something (probably a maintainer script) in your dma
 |>|package failed to run successfully and, now, the original package is
 ...
 |> Yes. Thank you again. The issue was indeed postfix being also
 |> installed and dma wanting to
 |>
 |> (1/1) Installing dma (0.11-r6)
 |> ERROR: dma-0.11-r6: trying to overwrite usr/sbin/sendmail owned \
 |> by postfix-3.2.4-r1.
 |> ERROR: dma-0.11-r6: trying to overwrite usr/bin/mailq owned by \
 |> postfix-3.2.4-r1.
 |
 |If you want to have both postfix and dma installed at the same time,
 |you could put replaces="postfix" on the DMA package to get rid of this
 |error.

Oh, i thought this would be quite the opposite, i.e., forcefully
rejecting or replacing those mentioned?! I have looked at exim,
who does not do anything regarding replaces= etc., so i kept that
part of the DMA APKBUILD the way it was. I mean, if the DMA
package as posted on -ports is not updated the desired way then
i have to stick with a manual compilation of DMA for now anyway..
But thanks a lot for the feedback!

--steffen
|
|Der Kragenbaer, The moon bear,
|der holt sich munter he cheerfully and one by one
|einen nach dem anderen runter wa.ks himself off
|(By Robert Gernhardt)


---
Unsubscribe:  alpine-user+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-user+help_at_lists.alpinelinux.org
---
Received on Mon Feb 12 2018 - 17:32:09 GMT